<script setup>
  const props = defineProps({
    dateData: {
        type: Object,
        required: true
      }
  });
</script>
<template>
<div class="w-full">
  <DisplayTime :start_date="props.dateData.start_date" :end_date="props.dateData.end_date" :start_hour="props.dateData.start_hour" :end_hour="props.dateData.end_hour"/>
  <p class="w-[99px] h-[30px] text-center text-las-orange bg-white rounded-las-cat absolute left-[110px] z-2 shadow-las overflow-hidden">{{ props.dateData.event_main_category }}</p>

  <div class="w-full h-[55px] absolute bottom-0.5 flex flex-col">
    <div class="font-bold leading-4 mt-2 ml-1.5 mr-1.5 text-base+ text-center h-2/3 overflow-hidden">
          {{ props.dateData.name?props.dateData.name:props.dateData.event_name }}
        </div>
        <div class="leading-4 mt-1 ml-1.5 mr-1.5 text-center text-sm+ h-1/3 overflow-hidden">
          {{ props.dateData.location }}
        </div>
  </div>
</div>
</template>